;InnoSetupVersion=5.1.2

[Setup]
AppName=Verjet
AppVerName=Verjet 1.0 Beta 1
AppId={{AA1A6FCD-FC69-4A96-A515-734A9160089A}
AppVersion=1.0 Beta 1
AppPublisher=Verjet
AppPublisherURL=http://www.verjet.com
AppSupportURL=http://www.verjet.com/support/
AppUpdatesURL=http://www.verjet.com/download/
DefaultDirName={pf}\Verjet
DefaultGroupName=Verjet
UninstallDisplayIcon={app}\verjet.exe
UninstallDisplayName=Verjet
OutputBaseFilename=VerjetSetup
Compression=lzma
PrivilegesRequired=poweruser
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\release_notes.txt"; DestDir: "{app}"; 
Source: "{app}\verjet.exe"; DestDir: "{app}"; 
Source: "{app}\vjcontmenu.dll"; DestDir: "{app}"; Flags: regserver overwritereadonly 
Source: "{app}\vjhistory.exe"; DestDir: "{app}"; 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "Verjet"; ValueType: String; ValueData: "{app}\verjet.exe"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\DiFolders Software\Verjet"; ValueName: "Path"; ValueType: String; ValueData: "{app}\verjet.exe"; Flags: uninsdeletekey 

[Run]
Filename: "regsvr32"; Parameters: "/u /s ""{app}\vjcontmenu.dll"""; StatusMsg: "Unregistering context menu..."; 
Filename: "regsvr32"; Parameters: "/i /s ""{app}\vjcontmenu.dll"""; StatusMsg: "Registering context menu..."; 
Filename: "{app}\verjet.exe"; Parameters: "/show"; Description: "Run Verjet"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Verjet Control Center"; Filename: "{app}\verjet.exe"; Parameters: "/show"; 
Name: "{group}\Verjet History Viewer"; Filename: "{app}\vjhistory.exe"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
